import { fetchBackup } from "@/lib/actions";
import { NextResponse } from "next/server";

export async function GET(req: Request, { params }: { params: { name: string } }) {
    const name = decodeURIComponent(params.name);
    const backup = await fetchBackup(name);
    return NextResponse.json(backup);
}